Множественные уязвимости в K-Rate Premium

Дата публикации:
28.08.2008
Всего просмотров:
8640
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
K-Rate Premium
Уязвимые версии: K-Rate Premium

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение, выполнить произвольные SQL команды, получить доступ к важным данным и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "show" (когда параметр "req" установлен в значение "online"), "id" и "image" (когда параметр "act" установлен в значение "vote") в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценарии index.php, когда параметр "req" установлен в значение "blog_edit". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

3. Уязвимость существует из-за недостаточной обработки входных данных в поле "Your Message" в "Forums: Post A New Thread". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

4. Уязвимость существует из-за недостаточной обработки входных данных в полях "Title" и "Text" в "Blog: Post A New Entry" и в поле "Description" в "Your Pictures". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости требуются действительные привилегии пользователя приложения.

5. Уязвимость существует из-за недостаточной обработки входных данных, передаваемых в качестве шаблона в "Manage Templates". Удаленный пользователь может выполнить произвольный PHP код на целевой системе. Для успешной эксплуатации уязвимости требуются привилегии администратора приложения.

URL производителя: turn-k.net/k-rate

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA